import Ogma from '@linkurious/ogma';

const serviceUrl =
  'https://services.arcgisonline.com/ArcGIS/rest/services/World_Street_Map/MapServer';

const ogma = new Ogma({
  container: 'graph-container',
  graph: {
    nodes: [
      {
        id: 'Paris',
        data: { latitude: 48.858838, longitude: 2.343436 },
        attributes: { radius: 10, text: 'Paris', x: 0, y: 0 }
      },
      {
        id: 'London',
        data: { latitude: 51.509615, longitude: -0.134514 },
        attributes: { radius: 10, text: 'London', x: 100, y: 0 }
      },
      {
        // no geo coordinates in this one, it will be ignored
        id: 'Nowhere',
        attributes: { radius: 10, text: 'Nowhere', x: 100, y: 50 }
      }
    ],
    edges: [
      {
        id: 'Eurostar',
        source: 'Paris',
        target: 'London',
        attributes: { width: 5, text: 'Eurostar' }
      },
      {
        id: 'No road',
        source: 'Paris',
        target: 'Nowhere',
        attributes: { width: 5, text: 'No road' }
      }
    ]
  }
});

console.log(L);

const esriLayer = L.esri.tiledMapLayer({
  url: serviceUrl
});

ogma.geo.enable({
  duration: 500,
  tiles: esriLayer
});
